## mkvtoolnix 76.0

=== debian/changelog ===
mkvtoolnix (76.0-0.1~mx23+1) mx; urgency=medium

  *New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 May 2023 16:54:26 -0700

mkvtoolnix (75.0.0-0.1~mx23+1) mx; urgency=medium

  *New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Apr 2023 15:58:31 -0700

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.6.2
Build-Depends: autoconf-archive,
               debhelper-compat (= 13),
               docbook-xsl,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-math-dev,
               libbz2-dev,
               libcmark-dev (>= 0.28.3~),
               libcurl4-gnutls-dev,
               libdvdread-dev,
               libflac-dev,
               libfmt-dev (>= 8.1.1),
               libgmp-dev,
               liblzo2-dev,
               libmatroska-dev (>= 1.7.1~),
               libogg-dev,
               libpugixml-dev,
               libqt5svg5-dev,
               libutfcpp-dev,
               libvorbis-dev,
               nlohmann-json3-dev,
               pkg-config,
               po4a,
               qtbase5-dev,
               qtmultimedia5-dev,
               rake,
               ruby:any,
               xsltproc,
               zlib1g-dev

Package: mkvtoolnix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Suggests: mediainfo-gui
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(findstring parallel=,$(DEB_BUILD_OPTIONS)))
	NCPUS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
	NCPUS:=1
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking

%:
	dh $@

override_dh_autoreconf:
	cp /usr/share/aclocal/ax_boost_base.m4 ac

	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
	--disable-update-check --enable-debug

#	exit 1

override_dh_auto_build:
	rake -j $(NCPUS)

override_dh_clean:
	[ ! -f build-config ] || rake clean:dist

	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \
	config.h build-config ac/ax_boost_base.m4

override_dh_install:
	rake install DESTDIR=$(CURDIR)/debian/tmp

#	cp share/desktop/org.bunkus.mkvtoolnix-gui.desktop debian/tmp/usr/share/applications

	dh_install -Xmkvtoolnix.xml

override_dh_missing:
	dh_missing --fail-missing -Xmkvtoolnix.xml

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## mkvtoolnix 77.0

=== debian/changelog ===
mkvtoolnix (77.0-0.1~mx23+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Add the qt rcc resources file to the gui install.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Jun 2023 13:47:14 -0700

mkvtoolnix (76.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 May 2023 11:33:20 -0700

mkvtoolnix (75.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 06 Apr 2023 15:58:31 -0700

mkvtoolnix (74.0.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux 21.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Feb 2023 15:37:09 -0800

mkvtoolnix (73.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Jan 2023 14:51:56 -0800

mkvtoolnix (72.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 17 Nov 2022 15:38:48 -0800

mkvtoolnix (71.1.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Oct 2022 14:24:48 -0700

mkvtoolnix (70.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 25 Aug 2022 12:32:09 -0700

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Build-Depends: autoconf-archive,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
                docbook-xsl,
                libboost-date-time-dev,
                libboost-filesystem-dev,
@@ -16,10 +16,8 @@
                libcurl4-gnutls-dev,
                libdvdread-dev,
                libflac-dev,
-               libfmt-dev (>= 8.1.1),
                libgmp-dev,
                liblzo2-dev,
-               libmatroska-dev (>= 1.7.1~),
                libogg-dev,
                libpugixml-dev,
                libqt5svg5-dev,

## mkvtoolnix 78.0

=== debian/changelog ===
mkvtoolnix (78.0-2) unstable; urgency=medium

  * Fix 'Fails to build source after successful build' (Closes: #1047104)

 -- Christian Marillat <marillat@debian.org>  Mon, 14 Aug 2023 07:15:56 +0200

mkvtoolnix (78.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 03 Jul 2023 01:19:26 +0200

mkvtoolnix (77.0-2) unstable; urgency=medium

  * Add the Qt resource file in the mkvtoolnix-gui package
  * Build with Qt 6

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Jun 2023 16:00:54 +0200

mkvtoolnix (77.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 10 Jun 2023 10:35:01 +0200

## mkvtoolnix 79.0

=== debian/changelog ===
mkvtoolnix (79.0-0.1~mx19+1) mx; urgency=medium

  * Import new upstream release:
    - mkvmerge: AV1: added support for reading Dolby Vision from AV1 IVF &
      OBU streams.
    - mkvmerge: MPEG TS reader: added support for colors in teletext subtitles.
    - MKVToolNix GUI: multiplexer: when adding files the GUI can automatically
      enable the “forced display” flag for subtitle tracks if the file name
      contains the word “forced” delimited by certain characters (configurable)
      This feature is turned on by default.
    - MKVToolNix GUI: multiplexer: added the option --stop-after-video-ends
      to the dialog for additional command line options. Implements #3594.
    - MKVToolNix GUI: multiplexer: when adding Blu-ray playlists the dialog
      allowing the user to select the playlist to add will now show audio &
      video track properties as well (pixel dimensions for video; sampling
      frequency, channels for audio).
    - MKVToolNix GUI: header editor: in order to reduce confusion with users
      not that well versed in Matroska elements, the naming of the two
      “language” track properties has been changed: the old element is now
      titled “Language (obsolete)” & the current, IETF BCP 47 based one is
      simply called “Language”.
    - MKVToolNix GUI: preferences: you can now use the “delete” key to remove
      entries from simple list widgets for strings (e.g. the list of recently
      used destination directories). 

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Aug 2023 08:58:54 -0700

mkvtoolnix (78.0-1~mx19+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Jul 2023 12:30:55 -0700

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking
 
+export QT_SELECT=5
+
 %:
 	dh $@
 
@@ -18,7 +20,7 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	  dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
 
@@ -43,6 +45,8 @@
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
 
-# No dbgsym packages:
+override_dh_dwz:
+	dh_dwz -Xmkvmerge
+
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## mkvtoolnix 80.0

=== debian/changelog ===
mkvtoolnix (80.0-1~mx23+1) mx; urgency=medium

  * New upstream release:
    - MKVToolNix GUI: if the system's locale uses one of the Han scripts, the
      GUI will force Arabic numerals to be used in spin boxes. This prevents
      Suzhou numerals from being used which seems to be the default on Windows
      systems sold in China. Implements #3624.
    - build system: fixed detection of Qt6 if clang is used for compilation on
      Linux. In that case Qt's `qmake` added a `gcc`-specific option that clang
      doesn't understand, `-mno-direct-extern-access`. configure will now pass
      the parameter `-spec linux-clang` to `qmake` so that it uses the correct
      compiler flags.
    - build system: fixed the use of `mktemp` to be more portable to e.g.
      macOS. Fixes #3608.
    - mkvmerge: if a video aspect ratio was given with `--aspect-ratio-factor`,
      the code would apply a second factor based on the pixel resolution,
      resulting in much too large values for the `DisplayWidth` element. For
      example, with a pixel resolution of 720x520 & an aspect ratio factor of
      1/1 the result should be 720x520, but instead it was 900x520. Up until
      release 76.0 this has only happened when a track order was given (which
      unfortunately includes all invocations with MKVToolNix GUI as it always
      includes the track order). Starting with release 77.0 this has always
      happened due to the automatic sorting of tracks implicitly creating a
      track order, even if none was given.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Nov 2023 11:48:29 -0800

mkvtoolnix (79.0-0.1~mx23+1) mx; urgency=medium

  * Import new upstream release:
    - mkvmerge: AV1: added support for reading Dolby Vision from AV1 IVF &
      OBU streams.
    - mkvmerge: MPEG TS reader: added support for colors in teletext subtitles.
    - MKVToolNix GUI: multiplexer: when adding files the GUI can automatically
      enable the “forced display” flag for subtitle tracks if the file name
      contains the word “forced” delimited by certain characters (configurable)
      This feature is turned on by default.
    - MKVToolNix GUI: multiplexer: added the option --stop-after-video-ends
      to the dialog for additional command line options. Implements #3594.
    - MKVToolNix GUI: multiplexer: when adding Blu-ray playlists the dialog
      allowing the user to select the playlist to add will now show audio &
      video track properties as well (pixel dimensions for video; sampling
      frequency, channels for audio).
    - MKVToolNix GUI: header editor: in order to reduce confusion with users
      not that well versed in Matroska elements, the naming of the two
      “language” track properties has been changed: the old element is now
      titled “Language (obsolete)” & the current, IETF BCP 47 based one is
      simply called “Language”.
    - MKVToolNix GUI: preferences: you can now use the “delete” key to remove
      entries from simple list widgets for strings (e.g. the list of recently
      used destination directories). 

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Aug 2023 08:58:54 -0700

mkvtoolnix (78.0-1~mx23+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Jul 2023 12:30:55 -0700

## mkvtoolnix 81.0

=== debian/changelog ===
mkvtoolnix (81.0-1~mx23+1) mx; urgency=medium

  * Import new 81.0 release.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 03 Dec 2023 13:51:24 -0800

## mkvtoolnix 82.0

=== debian/changelog ===
mkvtoolnix (82.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:02 +1100

mkvtoolnix (82.0-1build1) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:57:04 +0000

mkvtoolnix (82.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 02 Jan 2024 17:44:32 +0100

mkvtoolnix (81.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 02 Dec 2023 14:57:24 +0100

mkvtoolnix (80.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Oct 2023 07:43:39 +0100

mkvtoolnix (79.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 20 Aug 2023 12:29:34 +0200

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
 libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
 pkg-config, libboost-date-time-dev, libpugixml-dev, nlohmann-json3-dev,
 libboost-filesystem-dev, xsltproc, docbook-xsl, libfmt-dev (>= 8.1.1),
 autoconf-archive, libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
 libgmp-dev, qt6-base-dev, qt6-svg-dev, qt6-multimedia-dev, libgtest-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Suggests: mediainfo-gui
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 83.0

=== debian/changelog ===
mkvtoolnix (83.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Mar 2024 11:26:08 -0700

mkvtoolnix (82.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Jan 2024 07:31:49 -0800

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,44 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
- libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
- libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
- pkg-config, libboost-date-time-dev, libpugixml-dev, nlohmann-json3-dev,
- libboost-filesystem-dev, xsltproc, docbook-xsl, libfmt-dev (>= 8.1.1),
- autoconf-archive, libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
- libgmp-dev, qt6-base-dev, qt6-svg-dev, qt6-multimedia-dev, libgtest-dev
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 13),
+               docbook-xsl,
+               libboost-date-time-dev,
+               libboost-filesystem-dev,
+               libboost-math-dev,
+               libbz2-dev,
+               libcmark-dev (>= 0.28.3~),
+               libcurl4-gnutls-dev,
+               libdvdread-dev,
+               libflac-dev,
+               libfmt-dev (>= 8.1.1),
+               libgmp-dev,
+               libgtest-dev,
+               liblzo2-dev,
+               libmatroska-dev (>= 1.7.1~),
+               libogg-dev,
+               libpugixml-dev,
+               libutfcpp-dev,
+               libvorbis-dev,
+               nlohmann-json3-dev,
+               pkg-config,
+               po4a,
+               qt6-base-dev,
+               qt6-multimedia-dev,
+               qt6-svg-dev,
+               rake,
+               ruby:any,
+               xsltproc,
+               zlib1g-dev
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible
@@ -30,7 +53,7 @@
 
 Package: mkvtoolnix-gui
 Architecture: any
-Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: mkvtoolnix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: mkvtoolnix (<< 35.0.0-1)
 Replaces: mkvtoolnix (<< 35.0.0-1)
 Suggests: mediainfo-gui

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
 export DEB_CXXFLAGS_MAINT_APPEND = -fPIC -DPIC -fno-var-tracking
 
-export QT_SELECT=5
-
 %:
 	dh $@
 
@@ -20,7 +18,7 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	  dh_auto_configure -- \
+	dh_auto_configure -- \
 	--docdir='$${datarootdir}/doc/mkvtoolnix-gui' \
 	--disable-update-check --enable-debug
 
@@ -33,7 +31,9 @@
 	[ ! -f build-config ] || rake clean:dist
 
 	dh_clean config.status rake.d/dependecy.d/*.rb src/input/*.d \
-	config.h build-config ac/ax_boost_base.m4
+	config.h build-config ac/ax_boost_base.m4 tests/unit/common/common \
+	tests/unit/merge/merge tests/unit/propedit/propedit \
+	doc/development.html
 
 override_dh_install:
 	rake install DESTDIR=$(CURDIR)/debian/tmp
@@ -45,8 +45,6 @@
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
 
-override_dh_dwz:
-	dh_dwz -Xmkvmerge
-
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## mkvtoolnix 84.0

=== debian/changelog ===
mkvtoolnix (84.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 28 Apr 2024 14:27:55 +0200

mkvtoolnix (83.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 11 Mar 2024 00:41:31 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
 libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
 pkg-config, libboost-date-time-dev, libpugixml-dev, nlohmann-json3-dev,
 libboost-filesystem-dev, xsltproc, docbook-xsl, libfmt-dev (>= 8.0~),
 autoconf-archive, libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
 libgmp-dev, qt6-base-dev, qt6-svg-dev, qt6-multimedia-dev, libgtest-dev

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mkvtoolnix (<< 35.0.0-1)
Replaces: mkvtoolnix (<< 35.0.0-1)
Suggests: mediainfo-gui
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

## mkvtoolnix 85.0

=== debian/changelog ===
mkvtoolnix (85.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jun 2024 11:51:30 -0700

mkvtoolnix (85.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Jun 2024 18:53:51 +0200

## mkvtoolnix 86.0

=== debian/changelog ===
mkvtoolnix (86.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 14 Jul 2024 00:56:23 +0200

## mkvtoolnix 87.0

=== debian/changelog ===
mkvtoolnix (87.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Sep 2024 17:26:46 -0700

mkvtoolnix (87.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 07 Sep 2024 14:32:05 +0200

## mkvtoolnix 88.0

=== debian/changelog ===
mkvtoolnix (88.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 22 Oct 2024 15:11:20 -0700

mkvtoolnix (88.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 19 Oct 2024 15:46:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,44 @@
 Source: mkvtoolnix
 Section: graphics
 Priority: optional
-Maintainer: Christian Marillat <marillat@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
 Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
- libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
- libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
- pkg-config, libboost-date-time-dev, libpugixml-dev, nlohmann-json3-dev,
- libboost-filesystem-dev, xsltproc, docbook-xsl, libfmt-dev (>= 8.0~),
- autoconf-archive, libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
- libgmp-dev, qt6-base-dev, qt6-svg-dev, qt6-multimedia-dev, libgtest-dev
+Build-Depends: autoconf-archive,
+               debhelper-compat (= 13),
+               docbook-xsl,
+               libboost-date-time-dev,
+               libboost-filesystem-dev,
+               libboost-math-dev,
+               libbz2-dev,
+               libcmark-dev (>= 0.28.3~),
+               libcurl4-gnutls-dev,
+               libdvdread-dev,
+               libflac-dev,
+               libfmt-dev (>= 8.0~),
+               libgmp-dev,
+               libgtest-dev,
+               liblzo2-dev,
+               libmatroska-dev (>= 1.7.1~),
+               libogg-dev,
+               libpugixml-dev,
+               libutfcpp-dev,
+               libvorbis-dev,
+               nlohmann-json3-dev,
+               pkg-config,
+               po4a,
+               qt6-base-dev,
+               qt6-multimedia-dev,
+               qt6-svg-dev,
+               rake,
+               ruby:any,
+               xsltproc,
+               zlib1g-dev
 
 Package: mkvtoolnix
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: mkvtoolnix-gui
 Description: Set of command-line tools to work with Matroska files
  Matroska is a new multimedia container format, based on EBML (Extensible
@@ -29,7 +53,7 @@
 
 Package: mkvtoolnix-gui
 Architecture: any
-Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: mkvtoolnix (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Conflicts: mkvtoolnix (<< 35.0.0-1)
 Replaces: mkvtoolnix (<< 35.0.0-1)
 Suggests: mediainfo-gui

=== debian/rules ===
--- 
+++ 
@@ -47,4 +47,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
+	@echo "not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## mkvtoolnix 89.0

=== lib/libebml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(ebml VERSION 1.4.5)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
option(ENABLE_WIN32_IO "Build the Windows I/O helper class" OFF)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(libebml_SOURCES
  src/Debug.cpp
  src/EbmlBinary.cpp
  src/EbmlContexts.cpp
  src/EbmlCrc32.cpp
  src/EbmlDate.cpp
  src/EbmlDummy.cpp
  src/EbmlElement.cpp
  src/EbmlFloat.cpp
  src/EbmlHead.cpp
  src/EbmlMaster.cpp
  src/EbmlSInteger.cpp
  src/EbmlStream.cpp
  src/EbmlString.cpp
  src/EbmlSubHead.cpp
  src/EbmlUInteger.cpp
  src/EbmlUnicodeString.cpp
  src/EbmlVersion.cpp
  src/EbmlVoid.cpp
  src/IOCallback.cpp
  src/MemIOCallback.cpp
  src/MemReadIOCallback.cpp
  src/SafeReadIOCallback.cpp
  src/StdIOCallback.cpp)

if(WIN32 AND ENABLE_WIN32_IO)
   list(APPEND libebml_SOURCES
     src/platform/win32/WinIOCallback.cpp)
endif()

set(libebml_PUBLIC_HEADERS
  ebml/Debug.h
  ebml/EbmlBinary.h
  ebml/EbmlConfig.h
  ebml/EbmlContexts.h
  ebml/EbmlCrc32.h
  ebml/EbmlDate.h
  ebml/EbmlDummy.h
  ebml/EbmlElement.h
  ebml/EbmlEndian.h
  ebml/EbmlFloat.h
  ebml/EbmlHead.h
  ebml/EbmlId.h
  ebml/EbmlMaster.h
  ebml/EbmlSInteger.h
  ebml/EbmlStream.h
  ebml/EbmlString.h
  ebml/EbmlSubHead.h
  ebml/EbmlTypes.h
  ebml/EbmlUInteger.h
  ebml/EbmlUnicodeString.h
  ebml/EbmlVersion.h
  ebml/EbmlVoid.h
  ebml/IOCallback.h
  ebml/MemIOCallback.h
  ebml/MemReadIOCallback.h
  ebml/SafeReadIOCallback.h
  ebml/StdIOCallback.h)

set(libebml_C_PUBLIC_HEADERS ebml/c/libebml_t.h)

add_library(ebml ${libebml_SOURCES} ${libebml_PUBLIC_HEADERS} ${libebml_C_PUBLIC_HEADERS})
if(WIN32)
  include(CheckIncludeFile)
  check_include_file(winapifamily.h HAVE_WINAPIFAMILY_H)
  if(HAVE_WINAPIFAMILY_H)
    target_compile_definitions(ebml PUBLIC HAVE_WINAPIFAMILY_H)
  endif()
endif()
set_target_properties(ebml PROPERTIES
  VERSION 5.0.0
  SOVERSION 5
  CXX_VISIBILITY_PRESET hidden
  VISIBILITY_INLINES_HIDDEN ON
)
target_include_directories(ebml
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(ebml PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

include(GenerateExportHeader)
generate_export_header(ebml EXPORT_MACRO_NAME EBML_DLL_API)
target_sources(ebml
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h
)

if(NOT BUILD_SHARED_LIBS)
  target_compile_definitions(ebml PUBLIC EBML_STATIC_DEFINE)
endif()

install(TARGETS ebml
  EXPORT EBMLTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libebml_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)
install(FILES ${libebml_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml/c)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ebml_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/ebml)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  if (IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
    set(libdir "${CMAKE_INSTALL_LIBDIR}")
  else()
    set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  endif()
  if (IS_ABSOLUTE ${CMAKE_INSTALL_INCLUDEDIR})
    set(includedir "${CMAKE_INSTALL_INCLUDEDIR}")
  else()
    set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  endif()
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  if (HAVE_WINAPIFAMILY_H)
    set(WINAPIFAMILY_PC -DHAVE_WINAPIFAMILY_H)
  endif()
  if(NOT BUILD_SHARED_LIBS)
    set(STATIC_DEFINE_CFLAGS -DEBML_STATIC_DEFINE)
  endif()
  configure_file(libebml.pc.in libebml.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libebml.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/EBML)
  include(CMakePackageConfigHelpers)
  configure_package_config_file(EBMLConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  write_basic_package_version_file(EBMLConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT EBMLTargets NAMESPACE EBML:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfigVersion.cmake
      DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== lib/libmatroska/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(matroska VERSION 1.7.1)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
option(BUILD_EXAMPLES "Build example code" OFF)

find_package(EBML 1.4.3 REQUIRED)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(libmatroska_SOURCES
  src/FileKax.cpp
  src/KaxAttached.cpp
  src/KaxAttachments.cpp
  src/KaxBlock.cpp
  src/KaxBlockData.cpp
  src/KaxCluster.cpp
  src/KaxContexts.cpp
  src/KaxCues.cpp
  src/KaxCuesData.cpp
  src/KaxInfoData.cpp
  src/KaxSeekHead.cpp
  src/KaxSegment.cpp
  src/KaxSemantic.cpp
  src/KaxTracks.cpp
  src/KaxVersion.cpp)

set(libmatroska_PUBLIC_HEADERS
  matroska/FileKax.h
  matroska/KaxAttached.h
  matroska/KaxAttachments.h
  matroska/KaxBlockData.h
  matroska/KaxBlock.h
  matroska/KaxChapters.h
  matroska/KaxClusterData.h
  matroska/KaxCluster.h
  matroska/KaxConfig.h
  matroska/KaxContentEncoding.h
  matroska/KaxContexts.h
  matroska/KaxCuesData.h
  matroska/KaxCues.h
  matroska/KaxDefines.h
  matroska/KaxInfoData.h
  matroska/KaxInfo.h
  matroska/KaxSeekHead.h
  matroska/KaxSegment.h
  matroska/KaxSemantic.h
  matroska/KaxTag.h
  matroska/KaxTags.h
  matroska/KaxTrackAudio.h
  matroska/KaxTrackEntryData.h
  matroska/KaxTracks.h
  matroska/KaxTrackVideo.h
  matroska/KaxTypes.h
  matroska/KaxVersion.h)

set (libmatroska_C_PUBLIC_HEADERS
  matroska/c/libmatroska.h
  matroska/c/libmatroska_t.h)

add_library(matroska ${libmatroska_SOURCES} ${libmatroska_PUBLIC_HEADERS} ${libmatroska_C_PUBLIC_HEADERS})
target_link_libraries(matroska PUBLIC EBML::ebml)
set_target_properties(matroska PROPERTIES
  VERSION 7.0.0
  SOVERSION 7
  CXX_VISIBILITY_PRESET hidden
  VISIBILITY_INLINES_HIDDEN ON
)
target_include_directories(matroska
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
	PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(matroska PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()

include(GenerateExportHeader)
generate_export_header(matroska EXPORT_MACRO_NAME MATROSKA_DLL_API)
target_sources(matroska
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h
)

if(NOT BUILD_SHARED_LIBS)
  target_compile_definitions(matroska PUBLIC MATROSKA_STATIC_DEFINE)
endif()

if(BUILD_EXAMPLES)
  add_executable(test00 test/ebml/test00.cpp)
  target_link_libraries(test00 matroska)
  target_include_directories(test00 PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

  add_executable(test6 test/mux/test6.cpp)
  target_link_libraries(test6 matroska)
  target_include_directories(test6 PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

  add_executable(test8 test/mux/test8.cpp)
  target_link_libraries(test8 matroska)
  target_include_directories(test8 PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)
endif()

install(TARGETS matroska
  EXPORT MatroskaTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libmatroska_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)
install(FILES ${libmatroska_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska/c)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  if (IS_ABSOLUTE ${CMAKE_INSTALL_LIBDIR})
    set(libdir "${CMAKE_INSTALL_LIBDIR}")
  else()
    set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  endif()
  if (IS_ABSOLUTE ${CMAKE_INSTALL_INCLUDEDIR})
    set(includedir "${CMAKE_INSTALL_INCLUDEDIR}")
  else()
    set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  endif()
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  configure_file(libmatroska.pc.in libmatroska.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmatroska.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/Matroska)
  include(CMakePackageConfigHelpers)
  configure_package_config_file(MatroskaConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  write_basic_package_version_file(MatroskaConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT MatroskaTargets NAMESPACE Matroska:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== debian/changelog ===
mkvtoolnix (89.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add alternative dependency for libqt6svg6.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jan 2025 09:57:26 -0800

mkvtoolnix (89.0-1) unstable; urgency=medium

  * New upstream release.
  * mkvtoolnix-gui should Depends on qt6-svg-plugins
  * Update pkg-config => pkgconf

 -- Christian Marillat <marillat@debian.org>  Sun, 05 Jan 2025 11:55:14 +0100

=== debian/rules ===
--- 
+++ 
@@ -47,5 +47,5 @@
 
 # No dbgsym packages:
 override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
 	dh_strip --no-automatic-dbgsym

## mkvtoolnix 90.0

=== lib/fmt/test/cuda-test/CMakeLists.txt ===
# We can find some usecases which follow the guide of CMake which uses
# `enable_language(CUDA)` instead of `find_package(CUDA)` and let the CMake
# built-in functions use NVCC.

# See: https://cmake.org/cmake/help/latest/module/FindCUDA.html#replacement
#
# However, this requires CMake version 3.10 or higher and we can't be sure most
# of the CUDA projects are using those.
#
# This test relies on `find_package(CUDA)` in the parent CMake config.

# These can be updated when NVCC becomes ready for C++ 17 features
# https://docs.nvidia.com/cuda/cuda-c-programming-guide/index.html#cpp14-language-features
set(CMAKE_CUDA_STANDARD 14)
set(CMAKE_CUDA_STANDARD_REQUIRED 14)

# In this test, we assume that the user is going to compile CUDA source code
# with some libraries (fmt in this case).
#
# In addition to that, this test invokes both the C++ host compiler and NVCC
# by providing another (non-CUDA) C++ source code.
if (${CMAKE_VERSION} VERSION_LESS 3.15)
  # https://docs.nvidia.com/cuda/cuda-compiler-driver-nvcc/index.html
  list(APPEND CUDA_NVCC_FLAGS "-std=c++14")
  if (MSVC)
    # This is the solution of pytorch:
    # https://github.com/pytorch/pytorch/pull/7118
    list(APPEND CUDA_NVCC_FLAGS "-Xcompiler" "/std:c++14")
    list(APPEND CUDA_NVCC_FLAGS "-Xcompiler" "/Zc:__cplusplus")
    # for the reason of this -Xcompiler options, see below.
  endif ()
  cuda_add_executable(fmt-in-cuda-test cuda-cpp14.cu cpp14.cc)
  target_compile_features(fmt-in-cuda-test PRIVATE cxx_std_14)
  if (MSVC)
    # This part is for (non-CUDA) C++ code. MSVC can define incorrect
    # `__cplusplus` macro. Fix for the issue is to use additional compiler flag. 
    #
    # See Also:
    # https://devblogs.microsoft.com/cppblog/msvc-now-correctly-reports-__cplusplus/
    # https://github.com/Microsoft/vscode-cpptools/issues/2595
    target_compile_options(fmt-in-cuda-test PRIVATE /Zc:__cplusplus /permissive-)
  endif ()
else()
  # now using a "new" way of handling CUDA
  add_executable(fmt-in-cuda-test cuda-cpp14.cu cpp14.cc)
  set_target_properties(fmt-in-cuda-test PROPERTIES CUDA_SEPARABLE_COMPILATION ON)
  target_compile_features(fmt-in-cuda-test PRIVATE cxx_std_14)
  if (MSVC)
    # with MSVC, 'cxx_std_14' will only propagate to the host code (MSVC), but will
    # not set __cplusplus correctly anyway, while nvcc will ignore it.
    # If specified for nvcc on the command line as '-std=c++14' nvcc will emit this
    # message instead:
    # nvcc warning : The -std=c++14 flag is not supported with the configured host
    #                compiler. Flag will be ignored.
    set_property(SOURCE cuda-cpp14.cu APPEND PROPERTY
      COMPILE_OPTIONS -Xcompiler /std:c++14 -Xcompiler /Zc:__cplusplus)
    set_property(SOURCE cpp14.cc APPEND PROPERTY
      COMPILE_OPTIONS /std:c++14 /Zc:__cplusplus)
  endif()
endif()

get_target_property(IN_USE_CUDA_STANDARD fmt-in-cuda-test CUDA_STANDARD)
message(STATUS "cuda_standard:          ${IN_USE_CUDA_STANDARD}")

get_target_property(IN_USE_CUDA_STANDARD_REQUIRED
    fmt-in-cuda-test CUDA_STANDARD_REQUIRED)
message(STATUS "cuda_standard_required: ${IN_USE_CUDA_STANDARD_REQUIRED}")

# We don't use PUBLIC or other keyword for reasons explained in the
# CUDA_LINK_LIBRARIES_KEYWORD section in
# https://cmake.org/cmake/help/latest/module/FindCUDA.html
target_link_libraries(fmt-in-cuda-test fmt::fmt)

=== debian/changelog ===
mkvtoolnix (90.0-1build1) plucky; urgency=medium

  * No-change rebuild for flac.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 22:37:35 -0500

mkvtoolnix (90.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 12 Feb 2025 01:14:57 +0100

=== debian/control ===
Source: mkvtoolnix
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://mkvtoolnix.download/index.html
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
 libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
 libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,
 pkgconf, libboost-date-time-dev, libpugixml-dev, nlohmann-json3-dev,
 libboost-filesystem-dev, xsltproc, docbook-xsl, libfmt-dev (>= 8.0~),
 autoconf-archive, libcmark-dev (>= 0.28.3~), libdvdread-dev, libutfcpp-dev,
 libgmp-dev, qt6-base-dev, qt6-svg-dev, qt6-multimedia-dev, libgtest-dev,

Package: mkvtoolnix-gui
Architecture: any
Depends: mkvtoolnix (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, qt6-svg-plugins,
Conflicts: mkvtoolnix (<< 35.0.0-1),
Replaces: mkvtoolnix (<< 35.0.0-1),
Suggests: mediainfo-gui,
Description: Set of tools to work with Matroska files - GUI frontend
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 .
 The mmg tool is a graphical user interface for the mkvmerge program, which
 allow one to create Matroska files from other formats.
 .
 This package also contains a graphical version of the mkvinfo tool, which
 allow one to get information about a Matroska file.

Package: mkvtoolnix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Suggests: mkvtoolnix-gui,
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible
 Binary Meta Language), which is a kind of binary XML.
 These tools allow one to manipulate Matroska files.
  * mkvmerge is a tool to create Matroska files from other formats
  * mkvinfo allow one to get information about the tracks in a Matroska file
  * mkvextract can extract tracks from Matroska files to other formats
 .
 This package only provides command-line tools. For graphical tools, you
 should install the mkvtoolnix-gui package.

## mkvtoolnix 91.0

=== debian/changelog ===
mkvtoolnix (91.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 16 Mar 2025 18:27:54 +0100

## mkvtoolnix 92.0

=== debian/changelog ===
mkvtoolnix (92.0-1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Apr 2025 23:43:07 -0700

mkvtoolnix (90.0-1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Feb 2025 18:49:31 -0800

## mkvtoolnix 93.0

=== debian/changelog ===
mkvtoolnix (93.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Jul 2025 16:34:59 -0700

## mkvtoolnix 94.0

=== lib/libebml/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,29 @@
 
 project(ebml VERSION 1.4.5)
 
+include(CMakeDependentOption)
+
+include( FeatureSummary )
+function(feature_info_on_off)
+  set(option_name ${ARGV0})
+  if(${option_name})
+    add_feature_info(${option_name} ${option_name} ${ARGV1})
+  else()
+    add_feature_info(${option_name} $<NOT:${option_name}> ${ARGV2})
+  endif()
+endfunction(feature_info_on_off)
+
+cmake_dependent_option(BUILD_SHARED_LIBS "Build libebml as a shared library (except Windows)" OFF "NOT WIN32" OFF)
+feature_info_on_off(BUILD_SHARED_LIBS "will build as a dynamic library" "will build as a static library")
+
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
+feature_info_on_off(DISABLE_PKGCONFIG "won't generate pkgconfig config file" "will generate pkgconfig config file")
+
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
+feature_info_on_off(DISABLE_CMAKE_CONFIG "won't generate CMake config file" "will generate CMake config file")
+
 option(ENABLE_WIN32_IO "Build the Windows I/O helper class" OFF)
+feature_info_on_off(ENABLE_WIN32_IO "will build Windows I/O code" "will not build Windows I/O code")
 
 include(GNUInstallDirs)
 
@@ -153,3 +173,7 @@
     ${CMAKE_CURRENT_BINARY_DIR}/EBMLConfigVersion.cmake
       DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
 endif()
+
+feature_summary(DESCRIPTION "libebml options:" WHAT ENABLED_FEATURES)
+feature_summary(DESCRIPTION "libebml disabled options:" WHAT DISABLED_FEATURES)
+# feature_summary(DESCRIPTION "libebml packages used:" WHAT PACKAGES_FOUND)

=== debian/changelog ===
mkvtoolnix (94.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 28 Jul 2025 11:23:47 +0200

mkvtoolnix (92.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 27 Apr 2025 10:14:15 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@debian.org>
 Homepage: https://mkvtoolnix.download/index.html
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), libboost-math-dev, rake, po4a,
  libbz2-dev, libflac-dev, libmatroska-dev (>= 1.7.1~), libogg-dev,
  libvorbis-dev, ruby:any, liblzo2-dev, zlib1g-dev, libcurl4-gnutls-dev,

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,3 @@
 
 override_dh_missing:
 	dh_missing --fail-missing -Xmkvtoolnix.xml
-
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
